io.vertx.groovy.core.shareddata

## Class LocalMap_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.shareddata.LocalMap_GroovyExtension

-     public class LocalMap_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalMap_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `get(LocalMap j_receiver, Object key)`
    `static Object` | `put(LocalMap j_receiver, Object key, Object value)`
    `static Object` | `putIfAbsent(LocalMap j_receiver, Object key, Object value)`
    `static Object` | `remove(LocalMap j_receiver, Object key)`
    `static boolean` | `removeIfPresent(LocalMap j_receiver, Object key, Object value)`
    `static Object` | `replace(LocalMap j_receiver, Object key, Object value)`
    `static boolean` | `replaceIfPresent(LocalMap j_receiver, Object key, Object oldValue, Object newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalMap_GroovyExtension

          public LocalMap_GroovyExtension()

  - ### Method Detail

    - #### get

          public static Object get(LocalMap j_receiver,
                                   Object key)

    - #### put

          public static Object put(LocalMap j_receiver,
                                   Object key,
                                   Object value)

    - #### remove

          public static Object remove(LocalMap j_receiver,
                                      Object key)

    - #### putIfAbsent

          public static Object putIfAbsent(LocalMap j_receiver,
                                           Object key,
                                           Object value)

    - #### removeIfPresent

          public static boolean removeIfPresent(LocalMap j_receiver,
                                                Object key,
                                                Object value)

    - #### replaceIfPresent

          public static boolean replaceIfPresent(LocalMap j_receiver,
                                                 Object key,
                                                 Object oldValue,
                                                 Object newValue)

    - #### replace

          public static Object replace(LocalMap j_receiver,
                                       Object key,
                                       Object value)

Copyright © 2017. All rights reserved.